Bug 1008737 - [abrt] java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20: os::abort: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20: os::abort: Process /usr/lib/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oxygen-gtk2 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:1535fa342fdb6fa0e5c2684287c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 21:40 EDT by Eric Griffith
Modified: 2014-01-21 22:06 EST (History)
7 users (show)

See Also:
Fixed In Version: oxygen-gtk2-1.4.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 22:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (125.40 KB, text/plain)
2013-09-16 21:40 EDT, Eric Griffith
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: core_backtrace (107.71 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: dso_list (27.00 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: environ (1.79 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: hs_err.log (110.50 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: maps (74.71 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: open_fds (10.38 KB, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details
File: var_log_messages (418 bytes, text/plain)
2013-09-16 21:41 EDT, Eric Griffith
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 324438 None None None Never
KDE Software Compilation 325072 None None None Never

  None (edit)
Description Eric Griffith 2013-09-16 21:40:55 EDT
Description of problem:
Using Eclipse. Tried opening the New Menu. Menu didn't fill with items, seemed like the GUI hung. Then crashed. Reopened eclipse, continued what I was doing. Few minutes later, tried to open New menu again, once more hung and crashed.

Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        /bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130829-1324.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.3.0.v20130829-1319/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20130829-1324/eclipse_1505.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130829-1324.jar --launcher.appendVmargs -exitdata 428017 -preventMasterEclipseLaunch -vm /bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130829-1324.jar
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20.x86_64/jre/bin/java
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::abort at /usr/src/debug/java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1594
 #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1053
 #4 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk-1.7.0.31-2.4.1.4.fc20.x86_64/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:527
 #6 Oxygen::MenuStateData::menuItemIsActive at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygenmenustatedata.cpp:165
 #7 Oxygen::MenuStateData::updateItems at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygenmenustatedata.cpp:153
 #8 Oxygen::MenuStateData::motionNotifyEvent at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygenmenustatedata.cpp:318
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #14 gtk_widget_event_internal at gtkwidget.c:5017
 #15 gtk_widget_event at gtkwidget.c:4814
 #16 gtk_propagate_event at gtkmain.c:2490

Potential duplicate: bug 853621
Comment 1 Eric Griffith 2013-09-16 21:40:59 EDT
Created attachment 798499 [details]
File: backtrace
Comment 2 Eric Griffith 2013-09-16 21:41:02 EDT
Created attachment 798500 [details]
File: cgroup
Comment 3 Eric Griffith 2013-09-16 21:41:06 EDT
Created attachment 798501 [details]
File: core_backtrace
Comment 4 Eric Griffith 2013-09-16 21:41:09 EDT
Created attachment 798502 [details]
File: dso_list
Comment 5 Eric Griffith 2013-09-16 21:41:12 EDT
Created attachment 798503 [details]
File: environ
Comment 6 Eric Griffith 2013-09-16 21:41:15 EDT
Created attachment 798504 [details]
File: hs_err.log
Comment 7 Eric Griffith 2013-09-16 21:41:18 EDT
Created attachment 798505 [details]
File: limits
Comment 8 Eric Griffith 2013-09-16 21:41:22 EDT
Created attachment 798506 [details]
File: maps
Comment 9 Eric Griffith 2013-09-16 21:41:25 EDT
Created attachment 798507 [details]
File: open_fds
Comment 10 Eric Griffith 2013-09-16 21:41:29 EDT
Created attachment 798508 [details]
File: proc_pid_status
Comment 11 Eric Griffith 2013-09-16 21:41:32 EDT
Created attachment 798509 [details]
File: var_log_messages
Comment 12 Deepak Bhole 2013-09-18 15:22:31 EDT
The problem started in Eclipse native code but the error seems to have originated in oxygen-gtk2 code. I am unsure who the right assignee is, but going by the last stack line, re-assigning to oxygen-gtk2.
Comment 13 nucleo 2013-09-27 13:13:19 EDT
See comment https://bugs.kde.org/show_bug.cgi?id=324438#c16 maybe crash fix needed outside oxygen-gtk2.
> I'm pretty sure there was no update on the oxygen-gtk side.
> so either ecclipse, or gtk itself, or anything.
Comment 14 Fedora Update System 2014-01-20 17:30:59 EST
oxygen-gtk2-1.4.2-1.fc20,oxygen-gtk3-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.4.2-1.fc20,oxygen-gtk3-1.3.2-1.fc20
Comment 15 Fedora Update System 2014-01-21 22:06:49 EST
oxygen-gtk2-1.4.2-1.fc20, oxygen-gtk3-1.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.